Package org.italiangrid.voms.util

# Enum CredentialsUtils.PrivateKeyEncoding

java.lang.Object
java.lang.Enum<CredentialsUtils.PrivateKeyEncoding>
org.italiangrid.voms.util.CredentialsUtils.PrivateKeyEncoding

All Implemented Interfaces:
  `Serializable`, `Comparable<CredentialsUtils.PrivateKeyEncoding>`, `java.lang.constant.Constable`

Enclosing class:
  `CredentialsUtils`

public static enum CredentialsUtils.PrivateKeyEncoding extends Enum<CredentialsUtils.PrivateKeyEncoding>
The encoding used to serialize proxy credentials private key.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PKCS_1`
`PKCS_8`

## Method Summary

Modifier and Type
Method
Description
`static CredentialsUtils.PrivateKeyEncoding`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CredentialsUtils.PrivateKeyEncoding[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PKCS_1

public static final CredentialsUtils.PrivateKeyEncoding PKCS_1

### PKCS_8

public static final CredentialsUtils.PrivateKeyEncoding PKCS_8

## Method Details

### values

public static CredentialsUtils.PrivateKeyEncoding[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CredentialsUtils.PrivateKeyEncoding valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null